namespace MigrationExample.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class InitialCreate : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "dbo.TyreType",
                c => new
                    {
                        TyreTypeID = c.Int(nullable: false, identity: true),
                        Name = c.String(nullable: false, maxLength: 50, unicode: false),
                        Material = c.String(nullable: false, maxLength: 50, unicode: false),
                    })
                .PrimaryKey(t => t.TyreTypeID);
            
            CreateTable(
                "dbo.Vehicle",
                c => new
                    {
                        VehicleID = c.Int(nullable: false, identity: true),
                        Name = c.String(nullable: false, maxLength: 50, unicode: false),
                        Description = c.String(maxLength: 200, unicode: false),
                        MSRP = c.Double(nullable: false),
                        TyreTypeID = c.Int(nullable: false),
                    })
                .PrimaryKey(t => t.VehicleID)
                .ForeignKey("dbo.TyreType", t => t.TyreTypeID, cascadeDelete: true)
                .Index(t => t.TyreTypeID);
            
        }
        
        public override void Down()
        {
            DropForeignKey("dbo.Vehicle", "TyreTypeID", "dbo.TyreType");
            DropIndex("dbo.Vehicle", new[] { "TyreTypeID" });
            DropTable("dbo.Vehicle");
            DropTable("dbo.TyreType");
        }
    }
}
