﻿using System.Data.Entity;
using System.Data.Entity.ModelConfiguration.Conventions;
using MigrationExample.Models;

namespace MigrationExample.DataAccess
{
    public class AutomobileContext : DbContext
    {
        public AutomobileContext()
        {
            Database.SetInitializer<AutomobileContext>(new DropCreateDatabaseIfModelChanges<AutomobileContext>());
        }
        public DbSet<Vehicle> Vehicle { get; set; }
        public DbSet<TyreType> TyreType { get; set; }
        public DbSet<TyreColor> TyreColor { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            modelBuilder.Conventions.Remove<PluralizingTableNameConvention>();

            modelBuilder.Entity<TyreType>()
                .HasRequired(t => t.TyreColor)
                .WithMany(t => t.TyreTypes)
                .HasForeignKey(d => d.TyreColorId);
        }
    }
}